-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local ManagerAccountInterface = require 'mdb.bmc.kepler.AccountService.ManagerAccountInterface'
local SnmpUserInterface = require 'mdb.bmc.kepler.AccountService.ManagerAccount.SnmpUserInterface'

local childs = {}
local ManagerAccount = {childs = childs}

local Mdb = require 'mc.mdb'

local TManagerAccount = Mdb.register_object('/bmc/kepler/AccountService/Accounts/:ManagerAccountId',
    {
        {name = 'ManagerAccount', interface = ManagerAccountInterface.ManagerAccount},
        {name = 'SnmpUser', interface = SnmpUserInterface.SnmpUser}
    })
ManagerAccount.ManagerAccount = TManagerAccount

function TManagerAccount:ctor(ManagerAccountId)
    self.path = '/bmc/kepler/AccountService/Accounts/' .. ManagerAccountId .. ''
end

return ManagerAccount
